import { t as _sfc_main$1 } from "./AdminLayout-eZgRfDMK.js";
import _sfc_main$2 from "./ApiTokenManager-CAyQgJys.js";
import { createTextVNode, createVNode, resolveComponent, toDisplayString, useSSRContext, withCtx } from "vue";
import { ssrInterpolate, ssrRenderComponent } from "vue/server-renderer";
//#region resources/js/Pages/API/Index.vue
var _sfc_main = /* @__PURE__ */ Object.assign({ layout: _sfc_main$1 }, {
	__name: "Index",
	__ssrInlineRender: true,
	props: {
		tokens: Array,
		availablePermissions: Array,
		defaultPermissions: Array
	},
	setup(__props) {
		return (_ctx, _push, _parent, _attrs) => {
			const _component_Head = resolveComponent("Head");
			const _component_Header = resolveComponent("Header");
			_push(`<!--[-->`);
			_push(ssrRenderComponent(_component_Head, null, {
				default: withCtx((_, _push, _parent, _scopeId) => {
					if (_push) _push(`<title${_scopeId}>${ssrInterpolate(_ctx.$t("API Tokens"))}</title>`);
					else return [createVNode("title", null, toDisplayString(_ctx.$t("API Tokens")), 1)];
				}),
				_: 1
			}, _parent));
			_push(ssrRenderComponent(_component_Header, null, {
				default: withCtx((_, _push, _parent, _scopeId) => {
					if (_push) _push(`${ssrInterpolate(_ctx.$t("API Tokens"))}`);
					else return [createTextVNode(toDisplayString(_ctx.$t("API Tokens")), 1)];
				}),
				_: 1
			}, _parent));
			_push(`<div class="flex grow flex-col items-stretch justify-stretch self-stretch"><div><div class="mx-auto max-w-7xl py-10 sm:px-6 lg:px-8">`);
			_push(ssrRenderComponent(_sfc_main$2, {
				tokens: __props.tokens,
				"available-permissions": __props.availablePermissions,
				"default-permissions": __props.defaultPermissions
			}, null, _parent));
			_push(`</div></div></div><!--]-->`);
		};
	}
});
var _sfc_setup = _sfc_main.setup;
_sfc_main.setup = (props, ctx) => {
	const ssrContext = useSSRContext();
	(ssrContext.modules || (ssrContext.modules = /* @__PURE__ */ new Set())).add("resources/js/Pages/API/Index.vue");
	return _sfc_setup ? _sfc_setup(props, ctx) : void 0;
};
//#endregion
export { _sfc_main as default };
